org.eclipse.aether.internal.impl

## Class Maven2RepositoryLayoutFactory

- java.lang.Object
- - org.eclipse.aether.internal.impl.Maven2RepositoryLayoutFactory

- All Implemented Interfaces:
    RepositoryLayoutFactory

      @Named(value="maven2")
      @Component(role=RepositoryLayoutFactory.class,
                 hint="maven2")
      public final class Maven2RepositoryLayoutFactory
      extends Object
      implements RepositoryLayoutFactory

  Provides a Maven-2 repository layout for repositories with content type `"default"`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maven2RepositoryLayoutFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getPriority()` The priority of this factory.
    `RepositoryLayout` | `newInstance(RepositorySystemSession session, RemoteRepository repository)` Tries to create a repository layout for the specified remote repository.
    `Maven2RepositoryLayoutFactory` | `setPriority(float priority)` Sets the priority of this component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maven2RepositoryLayoutFactory

          public Maven2RepositoryLayoutFactory()

  - ### Method Detail

    - #### getPriority

          public float getPriority()

      Description copied from interface: `RepositoryLayoutFactory`
      The priority of this factory. When multiple factories can handle a given repository, factories with higher priority are preferred over those with lower priority.
      Specified by:
        `getPriority` in interface `RepositoryLayoutFactory`
      Returns:
        The priority of this factory.

    - #### setPriority

          public Maven2RepositoryLayoutFactory setPriority(float priority)

      Sets the priority of this component.
      Parameters:
        `priority` - The priority.
      Returns:
        This component for chaining, never `null`.

    - #### newInstance

          public RepositoryLayout newInstance(RepositorySystemSession session,
                                     RemoteRepository repository)
                                       throws NoRepositoryLayoutException

      Description copied from interface: `RepositoryLayoutFactory`
      Tries to create a repository layout for the specified remote repository. Typically, a factory will inspect `RemoteRepository.getContentType()` to determine whether it can handle a repository.
      Specified by:
        `newInstance` in interface `RepositoryLayoutFactory`
      Parameters:
        `session` - The repository system session from which to configure the layout, must not be `null`.
        `repository` - The remote repository to create a layout for, must not be `null`.
      Returns:
        The layout for the given repository, never `null`.
      Throws:
        `NoRepositoryLayoutException` - If the factory cannot create a repository layout for the specified remote repository.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.